org.eclnt.jsfserver.elements.componentnodes

## Class TILEDAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.TILEDAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class TILEDAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TILEDAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TILEDAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindPersistid(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `TILEDAREANode` | `setAttributemacro(java.lang.String value)`
    `TILEDAREANode` | `setComment(java.lang.String value)`
    `TILEDAREANode` | `setConfiginfo(java.lang.String value)`
    `TILEDAREANode` | `setId(java.lang.String value)`
    `TILEDAREANode` | `setObjectbinding(java.lang.String value)`
    `TILEDAREANode` | `setPersistid(java.lang.String value)`
    `TILEDAREANode` | `setReference(java.lang.String value)`
    `TILEDAREANode` | `setRendered(boolean value)`
    `TILEDAREANode` | `setRendered(java.lang.String value)`
    `TILEDAREANode` | `setShadow(java.lang.String value)`
    `TILEDAREANode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TILEDAREANode

          public TILEDAREANode()

  - ### Method Detail

    - #### setId

          public TILEDAREANode setId(java.lang.String value)

    - #### setAttributemacro

          public TILEDAREANode setAttributemacro(java.lang.String value)

    - #### setComment

          public TILEDAREANode setComment(java.lang.String value)

    - #### bindComment

          public TILEDAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public TILEDAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public TILEDAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public TILEDAREANode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public TILEDAREANode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setPersistid

          public TILEDAREANode setPersistid(java.lang.String value)

    - #### bindPersistid

          public TILEDAREANode bindPersistid(IDynamicContentBindingObject value)

    - #### setReference

          public TILEDAREANode setReference(java.lang.String value)

    - #### setRendered

          public TILEDAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public TILEDAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public TILEDAREANode setRendered(boolean value)

    - #### setShadow

          public TILEDAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public TILEDAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public TILEDAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public TILEDAREANode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.